# Generated by Django 4.1.7 on 2023-03-12 08:32

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Schemas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('separator', models.CharField(choices=[(',', ','), (';', ';')], default=',', max_length=2)),
                ('string_quote', models.CharField(choices=[('"', '"'), ("'", "'")], default='"', max_length=2)),
                ('created_at', models.DateField(auto_now_add=True)),
            ],
            options={
                'verbose_name': 'Schema',
                'verbose_name_plural': 'Schemas',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Type',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='CSVFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('schema_id', models.ManyToManyField(to='schemas.schemas')),
            ],
        ),
        migrations.CreateModel(
            name='Columns',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('order', models.PositiveIntegerField(unique=True)),
                ('schema_id', models.ManyToManyField(to='schemas.schemas')),
                ('type_id', models.ManyToManyField(to='schemas.type')),
            ],
        ),
    ]
